Bug 1467278 - gdm prevents user logging in under vesa
Summary: gdm prevents user logging in under vesa
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: RejectedBlocker https://fedoraproject...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-03 09:58 UTC by Kamil Páral
Modified: 2018-05-29 11:23 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:23:35 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
jounal (976.18 KB, text/plain)
2017-07-03 09:59 UTC, Kamil Páral
no flags Details
rpm -qa (51.42 KB, text/plain)
2017-07-03 09:59 UTC, Kamil Páral
no flags Details

Description Kamil Páral 2017-07-03 09:58:30 UTC
Description of problem:
On a BIOS system, if I install F26 Workstation with "basic video" driver, I can't log in on that installed system. GDM is shown, I input my password, and after confirming it, I see only a gray screen (standard gdm background) with nothing on it. I don't have a mouse cursor, I can't switch to other TTY. Hard reboot is the only option. Selecting X11 session in session picker does not help.

This is "resolved" by disabling wayland in gdm.conf. Then logging in works (either with X11 session or Wayland session, both runs X11 session).

While in working GDM (before getting stuck), I can't even switch to a different TTY (e.g. to edit gdm.conf or see logs). When I try to switch TTYs, a full-gray screen immediately shows up a lock me up. It seems like for every TTY switch, even manual one, something in gdm screws up, it takes control, hides all widgets, and locks out the user.

The only way to edit gdm is either to boot in init 3, or use ssh.

This might be hardware specific, I'll try to test more machines. This one is:
00:02.0 VGA compatible controller [0300]: Intel Corporation Xeon E3-1200 v2/3rd Gen Core processor Graphics Controller [8086:0152] (rev 09)
(it's not Xeon, it's a standard Intel box)

Version-Release number of selected component (if applicable):
Fedora-Workstation-Live-x86_64-26-1.3.iso
gdm-3.24.2-1.fc26.x86_64
gnome-session-wayland-session-3.24.1-2.fc26.x86_64
libwayland-client-1.13.0-1.fc26.x86_64
libwayland-cursor-1.13.0-1.fc26.x86_64
libwayland-server-1.13.0-1.fc26.x86_64
xorg-x11-server-Xwayland-1.19.3-4.fc26.x86_64
xorg-x11-server-Xorg-1.19.3-4.fc26.x86_64
gnome-shell-3.24.2-1.fc26.x86_64

How reproducible:
always

Steps to Reproduce:
1. follow https://fedoraproject.org/wiki/QA:Testcase_Anaconda_User_Interface_Basic_Video_Driver on a bios system

Comment 1 Kamil Páral 2017-07-03 09:59:14 UTC
Created attachment 1293788 [details]
jounal

I don't see anything suspicious here. I've enabled gdm debugging before gathering this.

Comment 2 Kamil Páral 2017-07-03 09:59:31 UTC
Created attachment 1293789 [details]
rpm -qa

Comment 3 Kamil Páral 2017-07-03 10:03:29 UTC
Proposing as a blocker per:
" A system installed with a release-blocking desktop must boot to a log in screen where it is possible to log in to a working desktop using a user account created during installation or a 'first boot' utility. "
https://fedoraproject.org/wiki/Fedora_26_Alpha_Release_Criteria#Expected_installed_system_boot_behavior

Comment 4 Kamil Páral 2017-07-03 10:28:11 UTC
I can't reproduce the same problem on AMD box with:
00:01.0 VGA compatible controller [0300]: Advanced Micro Devices, Inc. [AMD/ATI] Kaveri [Radeon R7 Graphics] [1002:130f] (rev d4)
Logging in from gdm works out of the box.

Comment 5 Kamil Páral 2017-07-03 10:48:06 UTC
On my ThinkPad T450s I can't even boot the Workstation Live in basic graphics mode under BIOS (it works under UEFI). I only see a black screen with a mouse cursor, everything stuck. My graphics card:
00:02.0 VGA compatible controller [0300]: Intel Corporation HD Graphics 5500 [8086:1616] (rev 09)

On ThinkPad T520, everything works OK:
00:02.0 VGA compatible controller [0300]: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller [8086:0126] (rev 09)

Comment 6 Kamil Páral 2017-07-03 11:03:44 UTC
With yet another radeon box, everything works OK:
01:00.0 VGA compatible controller [0300]: Advanced Micro Devices, Inc. [AMD/ATI] Turks PRO [Radeon HD 6570/7570/8550] [1002:6759]

Comment 7 Kamil Páral 2017-07-03 11:18:12 UTC
So, to summarize:

#1: Intel box from comment 0 boots from Live, but doesn't log in when installed
#2: T450s (Intel) doesn't boot from Live (comment 5)
#3: T520 (Intel) works OK (comment 5)
#4: Radeon box from comment 4 works OK
#5: Radeon box from comment 6 works OK

From the limited selection of hardware, this problem seems related to certain Intel graphics cards. Sometimes it shows up even on Live, sometimes only in the installed system (those might also be two different bugs). This is only related to the combination of BIOS mode and basic graphics mode (i.e. VESA driver).

One *very interesting* thing I noticed:
If you boot Workstation Live using VESA, gdm doesn't automatically log you in, instead you need to click on "Live system user" in gdm. This was true for all machines that worked OK (systems #3, #4 and #5). However, this was *NOT* true for system #1, the gdm screen was skipped on Live (i.e. automatically logged in). I find that very interesting, because this happened only on that single box that has issues with gdm when installed.

It would be great to have additional data points, especially with intel graphics cards. If you have some Intel GPU, please try booting and installing Fedora-Workstation-Live-x86_64-26-1.3.iso under *BIOS with basic graphics mode*, and tell us: 
a) whether GDM was skipped on Live or you had to click on "Live system user" 
b) whether you can log in on an installed system 
c) lspci -nn of your GPU
d) attach your system journal if you encounter gdm/login problems.

Comment 8 Matthew Miller 2017-07-03 14:06:22 UTC
-1 to this as a blocker unless we have existing reports of it happening in other circumstances to people trying the beta. Particularly, I have high confidence that the cards where this is a problem will always work fine in *regular* graphics mode, because Intel is good with open source graphics drivers.

Comment 9 Adam Williamson 2017-07-03 15:16:12 UTC
I'm with Matthew on this. We've always held that if a given system works fine with 'native' graphics, it's not at all serious if the same system doesn't work fine with 'basic' graphics. Kamil's results also clearly seem to indicate there isn't some *systematic* problem between GNOME and Wayland and 'basic graphics mode', as it works fine on several systems, but rather what look to be a few specific issues with various combinations on various particular systems.

The case that looks the most concerning to me is the failure of the T450 to boot at all in BIOS mode, in fact; it might be worth seeing if that's reproducible on other T450s, or similar Thinkpads. But that sounds rather like a different bug from the initial one to me.

Comment 10 Adam Williamson 2017-07-03 18:36:02 UTC
Discussed at 2017-07-03 blocker review meeting: https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2017-07-03/f26-blocker-review.2017-07-03-16.06.html . Rejected as a blocker per the reasoning in #c9: this isn't a universal issue and so far we haven't encountered a system which doesn't work in *either* native *or* basic graphics mode (which would be the worst case scenario).

We are somewhat concerned about the T450 case, but it seems to be clearly a different bug from the initial report here; that could bear further investigation and separate filing.

Comment 11 Fedora End Of Life 2018-05-03 08:05:09 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 12 Fedora End Of Life 2018-05-29 11:23:35 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.